Get all data views

Base URL
https://{kibana_url}
  • GET /api/data_views
  • GET /s/{space_id}/api/data_views
Auth

Retrieve a list of all data views. Use this endpoint to identify available data views in the current Kibana space.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Indicates a successful call.

application/json
data_view object[]
id string
name string
namespaces string[]
title string
typeMeta object

Bad request

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}